/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "newApi"], function ($, template, Tools ) {
    //数据存储
    var module = {
        data: {
            newsInformationList:''
        },
    };
    var tools = new Tools();

    module.init = function (page) {
        //底部友情链接
        tools.doGet(friendsLinks, {}, module.bottomFriendsLinks, true);
        console.log(getQueryVariable('id'))
        //新闻资讯
        tools.doGet(newDetail + '/'+getQueryVariable('id'), {}, module.NewsInformation,true);

        //网站配置信息（网站名称 底部联系方式 公安备案号 网站备案号）
        tools.getWebConfig();
    };
    //底部友情链接
    module.bottomFriendsLinks = function (data) {
        if (data.code == 200) {
            var content = data.data;
            console.log(content)
            module.data.friendsLinksList = content;
            var friendsLinksData = template('friendsLinksData', module.data);
            $("#friendsLinksContent").html(friendsLinksData);
        }
    }

    //获取地址栏参数
    function getQueryVariable(variable){
        var query = window.location.search.substring(1);
        var vars = query.split("&");
        for (var i=0;i<vars.length;i++) {
            var pair = vars[i].split("=");
            if(pair[0] == variable){return pair[1];}
        }
        return(false);
    }

    //新闻资讯数据
    module.NewsInformation = function (data) {
        console.log(data)
        if (data.code == 200) {
            var content = data.data;
            $("#newTitle").html(content.title);
            $("#newTime").html(content.newsTime);
            $("#newCome").html(content.createBy);
            $("#newContent").html(content.content);
        }
    }

    return module;
});